summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorRob Crittenden <rcritten@redhat.com>2009-02-03 16:56:41 -0500
committerRob Crittenden <rcritten@redhat.com>2009-02-04 09:04:26 -0500
commit240fb938d2796b0a044594d167666d1574a89726 (patch)
tree486802a6c9731123184f73b6fa291bc3db3e776f /autogen.sh
parentd2b1a37aaf0e6ec324f156c8e4b09f2aeda9585c (diff)
downloadfreeipa-240fb938d2796b0a044594d167666d1574a89726.tar.gz
freeipa-240fb938d2796b0a044594d167666d1574a89726.tar.xz
freeipa-240fb938d2796b0a044594d167666d1574a89726.zip
Complete consolidation into a single autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh24
1 files changed, 18 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index 014487e41..2956e51cd 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,7 +2,7 @@
# Run this to generate all the initial makefiles, etc.
set -e
-PACKAGE=freeipa-client
+PACKAGE=freeipa
LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
LIBTOOLIZE_FLAGS="--copy --force"
@@ -26,12 +26,13 @@ ARGV0=$0
# Allow invocation from a separate build directory; in that case, we change
# to the source directory to run the auto*, then change back before running configure
-srcdir=`dirname $ARGV0`
-test -z "$srcdir" && srcdir=.
+#srcdir=`dirname $ARGV0`
+#test -z "$srcdir" && srcdir=.
+srcdir="."
-ORIGDIR=`pwd`
+#ORIGDIR=`pwd`
-cd $srcdir
+#cd $srcdir
# Usage:
# compare_versions MIN_VERSION ACTUAL_VERSION
@@ -179,6 +180,13 @@ do_cmd() {
$@
}
+# I don't want a tool telling me what files I need to have
+remauto=0
+if [ ! -e AUTHORS ]; then
+ touch AUTHORS ChangeLog NEWS README
+ remauto=1
+fi
+
do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
do_cmd $ACLOCAL $ACLOCAL_FLAGS
@@ -189,7 +197,11 @@ do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
do_cmd $AUTOCONF
-cd $ORIGDIR || exit 1
+if [ $remauto -eq 1 ]; then
+ rm -f AUTHORS ChangeLog NEWS README
+fi
+
+#cd $ORIGDIR || exit 1
rm -f config.cache